import 'package:flutter/material.dart';
import 'package:recup_app_storybook/stories/buttons/DottedButton/dotted_button.dart';

import 'package:recup_app_storybook/theme/colors.dart';
import 'package:storybook_flutter/storybook_flutter.dart';

class StoryRecupDottedButton extends Story {
  StoryRecupDottedButton()
      : super(
          name: 'Buttons/RecupDottedButton',
          builder: (context) {
            return RecupDottedButton(
              onTap: () {},
              color: RecupColor.primary,
              icon: const Icon(Icons.add_circle_outline_rounded),
              padding: const EdgeInsets.only(
                  top: 10, bottom: 10, right: 35, left: 35),
            );
          },
        );
}
