import 'package:recup_app_storybook/stories/cards/card_story/recup_card_story.dart';

import 'package:storybook_flutter/storybook_flutter.dart';

class StoryRecupCardStory extends Story {
  StoryRecupCardStory()
      : super(
          name: 'Card/RecupCardStory',
          builder: (context) {
            const foto =
                "https://images.unsplash.com/photo-1658459239113-39cc85f15154?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=1374&q=80";

            return RecupCardStory(
              backgroundImage: foto,
              text: context.knobs.text(
                label: 'titulo',
                initial: 'Bon d’achat 5€ sur toute le magasin',
              ),
              imageAvatar: foto,
            );
          },
        );
}
