import 'package:flutter/material.dart';

import 'package:recup_app_storybook/stories/data_display/switch_list_tile.dart/switch_list_tile.dart';
import 'package:storybook_flutter/storybook_flutter.dart';

class StoryRecupSwitchListTile extends Story {
  StoryRecupSwitchListTile()
      : super(
          name: 'DataDisplay/SwitchListTile',
          builder: (context) {
            return RecupSwitchListTile(
              title: Text(
                context.knobs.text(
                  label: 'title',
                  initial: 'Informations personnelles',
                ),
              ),
              divider: context.knobs.boolean(
                label: 'divider',
                initial: true,
                description: 'Deixa uma borda no inferior',
              ),
              value: context.knobs.boolean(
                label: 'value',
                initial: true,
                description: 'Deixa uma borda no inferior',
              ),
              onChanged: (value) {},
            );
          },
        );
}
