import 'package:recup_app_storybook/stories/buttons/DottedButton/dotted_button_stories.dart';
import 'package:recup_app_storybook/stories/buttons/ElevatedButton/elevated_button_stories.dart';
import 'package:recup_app_storybook/stories/buttons/FilterButton/filter_button_stories.dart';
import 'package:recup_app_storybook/stories/buttons/OutlinedButton/elevated_button_stories.dart';
import 'package:recup_app_storybook/stories/buttons/TextOrButtonFormField/text_or_button_form_field_stories.dart';

import 'package:storybook_flutter/storybook_flutter.dart';

class StoriesButtons {
  static Iterable<Story> stories = [
    StoryElevatedButton(),
    StoryRecupTextOrButtonFormField(),
    StoryRecupFilterButton(),
    StoryRecupDottedButton(),
    StoryOutlinedButton()
  ];
}
