import 'package:flutter/material.dart';
import 'package:recup_app_storybook/stories/cards/card_category/card_category.dart';
import 'package:recup_app_storybook/stories/cards/card_donation/card_donation.dart';
import 'package:storybook_flutter/storybook_flutter.dart';

class StoryRecupCategoryCard extends Story {
  StoryRecupCategoryCard()
      : super(
          name: 'Card/RecupCardDonation',
          builder: (context) {
            const foto =
                "https://images.unsplash.com/photo-1658459239113-39cc85f15154?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=1374&q=80";

            return RecupCardDonation(
              imageAvatar: context.knobs.text(
                label: 'imageAvatar',
                initial: foto,
              ),
              title: context.knobs.text(
                label: 'text',
                initial: 'Capsules de café',
              ),
              value: 5.5,
            );
          },
        );
}
