import 'package:flutter/material.dart';
import 'package:recup_app_storybook/theme/colors.dart';
import 'package:recup_app_storybook/theme/text_theme.dart';

class RecupThemeDarkData {
  static ThemeData themeDarkData() => ThemeData(
        useMaterial3: true,
        colorScheme: ColorScheme.fromSeed(
          seedColor: RecupColor.primaryColorPallet,
          brightness: Brightness.dark,
        ),
        textTheme: RecupTextTheme.makeRecupTextTheme(),
      );

  static ThemeData themeLightData() => ThemeData(
        useMaterial3: true,
        colorScheme: ColorScheme.fromSeed(
          seedColor: RecupColor.primaryColorPallet,
          brightness: Brightness.light,
        ),
        textTheme: RecupTextTheme.makeRecupTextTheme(),
      );
}
